OpenStack Compute (Nova)

dictionary update sequence element error creating volume snapshots

Reported by Tres Henry on 2012-02-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
High
Vish Ishaya

Bug Description

2012-02-07 17:45:43,554 AUDIT nova.api.openstack.compute.contrib.volumes [req-a53a841f-5ec1-48c3-9b23-a30d00d0f079 3aa30589a3ff4a63a24e07a13f3d2f5c f92642e0b0ab4c3ca691367c4fdf0cb6] Create snapshot from volume 4
2012-02-07 17:45:43,555 ERROR nova.api.openstack [req-a53a841f-5ec1-48c3-9b23-a30d00d0f079 3aa30589a3ff4a63a24e07a13f3d2f5c f92642e0b0ab4c3ca691367c4fdf0cb6] Caught error: dictionary update sequence element #0 has length 1; 2 is required
(nova.api.openstack): TRACE: Traceback (most recent call last):
(nova.api.openstack): TRACE: File "/opt/stack/nova/nova/api/openstack/__init__.py", line 41, in __call__
(nova.api.openstack): TRACE: return req.get_response(self.application)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/webob/request.py", line 1053, in get_response
(nova.api.openstack): TRACE: application, catch_exc_info=False)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/webob/request.py", line 1022, in call_application
(nova.api.openstack): TRACE: app_iter = application(self.environ, start_response)
(nova.api.openstack): TRACE: File "/opt/stack/keystone/keystone/middleware/auth_token.py", line 343, in __call__
(nova.api.openstack): TRACE: return self._forward_request(env, start_response, proxy_headers)
(nova.api.openstack): TRACE: File "/opt/stack/keystone/keystone/middleware/auth_token.py", line 576, in _forward_request
(nova.api.openstack): TRACE: return self.app(env, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
(nova.api.openstack): TRACE: return resp(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
(nova.api.openstack): TRACE: return resp(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
(nova.api.openstack): TRACE: return resp(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/pymodules/python2.7/routes/middleware.py", line 131, in __call__
(nova.api.openstack): TRACE: response = self.app(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 159, in __call__
(nova.api.openstack): TRACE: return resp(environ, start_response)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 147, in __call__
(nova.api.openstack): TRACE: resp = self.call_func(req, *args, **self.kwargs)
(nova.api.openstack): TRACE: File "/usr/lib/python2.7/dist-packages/webob/dec.py", line 208, in call_func
(nova.api.openstack): TRACE: return self.func(req, *args, **kwargs)
(nova.api.openstack): TRACE: File "/opt/stack/nova/nova/api/openstack/wsgi.py", line 822, in __call__
(nova.api.openstack): TRACE: action_result = self.dispatch(meth, request, action_args)
(nova.api.openstack): TRACE: File "/opt/stack/nova/nova/api/openstack/wsgi.py", line 896, in dispatch
(nova.api.openstack): TRACE: return method(req=request, **action_args)
(nova.api.openstack): TRACE: File "/opt/stack/nova/nova/api/openstack/compute/contrib/volumes.py", line 528, in create
(nova.api.openstack): TRACE: snapshot.get('display_description'))
(nova.api.openstack): TRACE: File "/opt/stack/nova/nova/volume/api.py", line 292, in create_snapshot
(nova.api.openstack): TRACE: False)
(nova.api.openstack): TRACE: File "/opt/stack/nova/nova/volume/api.py", line 266, in _create_snapshot
(nova.api.openstack): TRACE: check_policy(context, 'create_snapshot', volume)
(nova.api.openstack): TRACE: File "/opt/stack/nova/nova/volume/api.py", line 61, in check_policy
(nova.api.openstack): TRACE: target.update(target_obj or {})
(nova.api.openstack): TRACE: ValueError: dictionary update sequence element #0 has length 1; 2 is required
(nova.api.openstack): TRACE:

Changed in nova:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Vish Ishaya (vishvananda)
Brian Waldon (bcwaldon) on 2012-02-08
Changed in nova:
milestone: none → essex-4

Reviewed: https://review.openstack.org/3877
Committed: http://github.com/openstack/nova/commit/a3596658c83ed84970cfaba40d7f489728a00d48
Submitter: Jenkins
Branch: master

commit a3596658c83ed84970cfaba40d7f489728a00d48
Author: Vishvananda Ishaya <email address hidden>
Date: Tue Feb 7 16:56:04 2012 -0800

    Fixes volume snapshotting issues and tests

     * changes call for create_snapshot from contrib/volumes.py
     * fixes some raises in volume/snaphsots.py
     * rewrites volume api tests to use the right endpoint
     * updates contrib snapshots test to catch the error
     * fixes bug 928567
     * fixes bug 928588

    Change-Id: Ifa6bd8b70dc0df5c8811b0123072ba83eb170a45

Changed in nova:
status: In Progress → Fix Committed
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers